MySQL++: mysqlpp::RefCountedPointerDestroyer< MYSQL_RES > Struct Template Reference
mysqlpp::RefCountedPointerDestroyer< MYSQL_RES > Struct Template Reference

Functor to call mysql_free_result() on the pointer you pass to it. More...

`#include <result.h>`

## Public Member Functions

void | operator() (MYSQL_RES *doomed) const
| Functor implementation.

## Detailed Description

### template<>
struct mysqlpp::RefCountedPointerDestroyer< MYSQL_RES >

Functor to call mysql_free_result() on the pointer you pass to it.

This overrides RefCountedPointer's default destroyer, which uses operator delete; it annoys the C API when you nuke its data structures this way. :)

The documentation for this struct was generated from the following file:

- result.h